<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2007 (http://www.altova.com) by Tomas Silar (LogicaCMG s.r.o.) -->
<xsd:schema xmlns:ote="http://www.ote-cr.cz/schema/globals" xmlns:ds="http://www.w3.org/2000/09/xmldsig#" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="http://www.ote-cr.cz/schema/cds/tdd" targetNamespace="http://www.ote-cr.cz/schema/cds/tdd" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xsd:import namespace="http://www.ote-cr.cz/schema/globals" schemaLocation="./ote_globals.xsd"/>
	<xsd:import namespace="http://www.w3.org/2000/09/xmldsig#" schemaLocation="./xmldsig-core-schema.xsd"/>
	<xsd:element name="TDD">
		<xsd:annotation>
			<xsd:documentation xml:lang="CS">Rootovský element obsahující základní údaje o zprávě</xsd:documentation>
			<xsd:documentation xml:lang="EN">Root element containing basic message data</xsd:documentation>
		</xsd:annotation>
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element name="SenderIdentification" type="ote:SenderIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace odesílatele zprávy</xsd:documentation>
						<xsd:documentation xml:lang="EN">Message sender identification</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="ReceiverIdentification" type="ote:ReceiverIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace příjemce zprávy</xsd:documentation>
						<xsd:documentation xml:lang="EN">Message receiver identification</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="TddProfile" maxOccurs="unbounded">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace profilu</xsd:documentation>
						<xsd:documentation xml:lang="EN">Profile identification</xsd:documentation>
					</xsd:annotation>
					<xsd:complexType>
						<xsd:sequence>
							<xsd:element name="TddData" maxOccurs="unbounded">
								<xsd:annotation>
									<xsd:documentation xml:lang="CS">Hodnoty diagramu</xsd:documentation>
									<xsd:documentation xml:lang="EN">Diagram values</xsd:documentation>
								</xsd:annotation>
								<xsd:complexType>
									<xsd:attribute name="date-time-from" type="xsd:dateTime" use="required">
										<xsd:annotation>
											<xsd:documentation>Platnost hodnoty od</xsd:documentation>
											<xsd:documentation>Date and time from</xsd:documentation>
										</xsd:annotation>
									</xsd:attribute>
									<xsd:attribute name="date-time-to" type="xsd:dateTime" use="required">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Platnost hodnoty do</xsd:documentation>
											<xsd:documentation xml:lang="EN">Date and time to</xsd:documentation>
										</xsd:annotation>
									</xsd:attribute>
									<xsd:attribute name="qty" use="required">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Množství</xsd:documentation>
											<xsd:documentation xml:lang="EN">Quantity</xsd:documentation>
										</xsd:annotation>
										<xsd:simpleType>
											<xsd:restriction base="xsd:string">
												<xsd:maxLength value="18"/>
												<xsd:pattern value="-?\d+(\.\d+)?"/>
											</xsd:restriction>
										</xsd:simpleType>
									</xsd:attribute>
								</xsd:complexType>
							</xsd:element>
						</xsd:sequence>
						<xsd:attribute name="id" use="required">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Číslo profilu</xsd:documentation>
								<xsd:documentation xml:lang="EN">Profile number</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="18"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="temp-area" use="required">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Teplotní oblast</xsd:documentation>
								<xsd:documentation xml:lang="EN">Temperature area</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="3"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="tdd-class" use="required">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Třída TDD</xsd:documentation>
								<xsd:documentation xml:lang="EN">TDD class</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="3"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
					</xsd:complexType>
				</xsd:element>
				<xsd:element ref="ds:Signature" minOccurs="0"/>
			</xsd:sequence>
			<xsd:attribute name="id" type="ote:msg-id" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Jednoznačný identifikátor zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Unique message identification</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="message-code" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Upřesnění obsahu zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Message content specification</xsd:documentation>
				</xsd:annotation>
				<xsd:simpleType>
					<xsd:restriction base="xsd:string">
						<xsd:enumeration value="521">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Zpráva pro zaslání normalizovaných typových diagramů dodávek</xsd:documentation>
								<xsd:documentation xml:lang="EN">Message for sending of normal load profiles of supplies</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
			<xsd:attribute name="date-time" type="xsd:dateTime" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Datum a čas zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Date and time of message</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="answer-required" type="xsd:boolean" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Indikace požadavku na odpověď</xsd:documentation>
					<xsd:documentation xml:lang="EN">Indication of request for response</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
		</xsd:complexType>
	</xsd:element>
</xsd:schema>
